%%
%% This is file `woosterthesis.cls',
%% a modification of the book class
%% by Dr. Jon Breitenbucher. It is
%% intended to serve as a template for
%% seniors doing IS at The College of
%% Wooster.
%% 
%% This file was created on 2004/03/20.
%% --------------------------------------------------------------
%% 
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.2
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.2 or later is part of all distributions of LaTeX
%% version 1999/12/01 or later.
%% 
%% The list of all files belonging to the LaTeX base distribution is
%% given in the file `manifest.txt'. See also `legal.txt' for additional
%% information.
%% 
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{woosterthesis}
              [2005/3/11 v4.2
 Wooster IS LaTeX document class by Dr. Jon Breitenbucher]% - JB
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagetrue
\newif\if@openright
\newif\if@mainmatter \@mainmattertrue
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility
\@openrighttrue
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% the abstractonly option to allow one to print just the abstract - JB
\newif\if@bstractonly
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@abstract\t@st\@bstractonlytrue\else\@bstractonlyfalse\fi
\DeclareOption{abstractonly}{\@bstractonlytrue}
% the kaukecopyright option to insert an Kauke word mark on the copyright page - JB
\newif\if@kaukecopy
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@kaukecopyright\t@st\@kaukecopytrue\else\@kaukecopyfalse\fi
\DeclareOption{kaukecopyright}{\@kaukecopytrue}
%the palatino option typesets the thesis in Palatino, the College font.- JB
\newif\if@palatino
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@palatino\t@st\@palatinotrue\else\@palatinofalse\fi
\DeclareOption{palatino}{\@palatinotrue}
%the picins option loads the floatflt package.- JB
\newif\if@picins
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@picins\t@st\@picinstrue\else\@picinsfalse\fi
\DeclareOption{picins}{\@picinstrue}
% option to produce a hyperlinked thesis for on-line viewing - JB
\newif\if@blacklinks
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@blacklinks\t@st\@blacklinkstrue\else\@blacklinksfalse\fi
\DeclareOption{blacklinks}{\@blacklinkstrue}
% option to use listings package for code listings - JB
\newif\if@code
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@code\t@st\@codetrue\else\@codefalse\fi
\DeclareOption{code}{\@codetrue}
\newif\if@xetex
\expandafter\def\csname test@\jobname\endcsname{test}%
\def\t@st{test}%
\ifx\test@xetex\t@st\@xetextrue\else\@xetexfalse\fi
\DeclareOption{xetex}{\@xetextrue}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\ExecuteOptions{letterpaper,12pt,oneside,onecolumn,final,openany}% - JB
\ProcessOptions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% packages that are loaded for the convenience of the student - JB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@xetex
	\RequirePackage{ifpdf}
	\RequirePackage{amsthm}
	\RequirePackage{amssymb}
	\RequirePackage{amsmath}
	\RequirePackage[OSX]{fontenc}
	\RequirePackage{xunicode}
	\RequirePackage{styles/setspace}
		\if@picins
			\RequirePackage[vflt]{floatflt}
		\fi
	\RequirePackage[xetex]{graphicx}
		\def\kaukelogo{\includegraphics[scale=.4]{kauke_wordmark}}
		\RequirePackage{eso-pic}
		\newcommand\BackgroundPicture{%
   			\put(15,0){%
     			\parbox[b][\paperheight]{\paperwidth}{%       
       			\vfill
       			\centering
       			\includegraphics[width=\paperwidth,height=\paperheight,%
                        		keepaspectratio]{kauke_arch_gray}%
       			\vfill
     			}}}
\else		
	\RequirePackage{ifpdf}
	\RequirePackage{amsthm}
	\RequirePackage{amssymb}
	\RequirePackage{amsmath}
	\RequirePackage{styles/setspace}
		\if@palatino
			\RequirePackage[T1]{fontenc}
			\RequirePackage{pxfonts}
		\fi
		\if@picins
			\RequirePackage[vflt]{floatflt}
			%\RequirePackage{styles/picins}
		\fi
		\ifpdf % alter class behavior based on version of TeX - JB
			\RequirePackage[pdftex]{graphicx}
			\def\kaukelogo{\includegraphics[scale=.4]{kauke_wordmark}}
			\RequirePackage{eso-pic}
			\newcommand\BackgroundPicture{%
   				\put(15,0){%
     				\parbox[b][\paperheight]{\paperwidth}{%       
       				\vfill
       				\centering
       				\includegraphics[width=\paperwidth,height=\paperheight,%
                        		keepaspectratio]{kauke_arch_gray}%
       				\vfill
     				}}} 
		\else
			\RequirePackage[dvips]{graphicx}
			\def\kaukelogo{\includegraphics[scale=.4]{kauke_wordmark}}
			\RequirePackage{eso-pic}
			\newcommand\BackgroundPicture{%
   				\put(15,0){%
     				\parbox[b][\paperheight]{\paperwidth}{%       
       				\vfill
       				\centering
       				\includegraphics[width=\paperwidth,height=\paperheight,%
                        		keepaspectratio]{kauke_arch_gray}%
       				\vfill
     				}}}
		\fi
\fi			
% Kyle Kindbom requested a theorem style where the theorem header was on a separate line.
% The break theorem style will put a line break after the theorem header. - JB
\newtheoremstyle{break}% name
  {\topsep}%      Space above
  {\topsep}%      Space below
  {\itshape}%         Body font
  {}%         Indent amount (empty = no indent, \parindent = para indent)
  {\bfseries}% Thm head font
  {.}%        Punctuation after thm head
  {\newline}%     Space after thm head: " " = normal interword space;
        %       \newline = linebreak
  {}%         Thm head spec (can be left empty, meaning `normal')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
\input{bk1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}

% prohibit widows and page-breaking after a hyphenated line: - JB

\widowpenalty 100000
\displaywidowpenalty 5000
\brokenpenalty 100000
\RequirePackage[letterpaper,marginparwidth=.6in,hmargin={1.5in,1in},includehead,includefoot,top=1in,bottom=1in]{geometry}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

% placing of floats with the text: - JB

\renewcommand{\topfraction}{.7}
\renewcommand{\textfraction}{.2}
\renewcommand{\bottomfraction}{.7}

\setlength\textfloatsep{11 pt plus 11 pt minus 3 pt}
\setlength\floatsep{9 pt plus 9 pt minus 3 pt}
\setlength\intextsep{11 pt plus 11 pt minus 3 pt}

\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\thepage\hfil\slshape\leftmark}%
      \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
      \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markboth {{% removed MakeUpperCase - JB
        \ifnum \c@secnumdepth >\m@ne
          \if@mainmatter
            \thechapter. \ % removed \@chapapp - JB
          \fi
        \fi
        ##1}}{}}%
    \def\sectionmark##1{%
      \markright {{% removed MakeUpperCase - JB
        \ifnum \c@secnumdepth >\z@
          \thesection. \ %
        \fi
        ##1}}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
    \def\chaptermark##1{%
      \markright {{% removed MakeUpperCase - JB
        \ifnum \c@secnumdepth >\m@ne
          \if@mainmatter
            \thechapter. \ % removed \@chapapp - JB
          \fi
        \fi
        ##1}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\chaptermark\@gobble
    \let\sectionmark\@gobble
    }
   \let\@authordegrees\relax
\let\@school\relax
\let\@program\relax
\def\d@greetoobtain{Bachelor of Arts}
\newcommand{\presentdegrees}[1]{\def\@authordegrees{, #1}}
\newcommand{\degreetoobtain}[1]{\def\d@greetoobtain{#1 }}
\newcommand{\presentschool}[1]{\def\@school{#1}}
\newcommand{\academicprogram}[1]{\def\@program{#1}}
\academicprogram{\relax}
\newcommand{\advisor}[1]{\def\@dvisor{#1}}
\let\@dvisor\relax % :-)
\let\advisorname\advisor % for compatibility
\def\second@dvisor{}
\newcommand{\secondadvisor}[1]{%
      \def\\{\noexpand\\}%
      \global\edef\second@dvisor{\second@dvisor \\ #1}}

\newcommand{\gradyear}[1]{\def\ye@r{#1}}  % graduation year

% copyright - JH

\newcommand{\copyrightdate}[1]{\gdef\@copydate{#1}}
\let\@copydate\@date
  
\newif\if@copyright
\@copyrightfalse
\newcommand{\copyrighted}[1][\@author]{\@copyrighttrue
   \def\@copyright{#1}}
\newcommand{\disscopyright}{%
   \cleardoublepage
   \thispagestyle{empty}   
   ~
   \if@copyright
   \vspace*{\fill}
   \begin{center}
   \begin{singlespace}%
     \copyright\ Copyright by\\
     \@copyright \\
     \@copydate
\end{singlespace}
   \end{center}
   \vfill   
   \fi  
   %\addtocounter{page}{-1}   
} 

% kaukecopyright - JB

\if@kaukecopy
    \renewcommand{\copyrighted}[1][\@author]{
      \def\@copyright{#1}}
    \renewcommand{\disscopyright}{%
      \cleardoublepage
      \thispagestyle{empty}
      ~
          \vspace*{\fill}
          \if@xetex
 \begin{center}
  \kaukelogo
   \begin{singlespace}%
     \copyright\ Copyright by\\
     \@copyright \\
     \@copydate
\end{singlespace}
            \end{center}
\else
            \begin{center}
              \centerline {
                          \kaukelogo
                          }
   \begin{singlespace}%
     \copyright\ Copyright by\\
     \@copyright \\
     \@copydate
\end{singlespace}
            \end{center}
\fi                        
           \vfill   
     %\addtocounter{page}{-1}   
    }
\fi
   
  \if@titlepage
  \newcommand\maketitle{\begin{titlepage}%
  % The Kauke arch is centered on the page background - JB
\AddToShipoutPicture*{\BackgroundPicture}
\let\footnoterule\relax
{\def\\{\noexpand\\}
\global\gdef\@titl@{{\@title}}}%
{
\vspace*{0\p@}
\vfill
\begin{singlespace}
\begin{center}
{\scshape\Large\@titl@}
\end{center}
\end{singlespace}}%
\vfill
\begin{center}
{\scshape
  \th@sistype}
\end{center}  
\vfill
\begin{singlespace}
\begin{center}
Presented in Partial Fulfillment of the Requirements for \\
the Degree \d@greetoobtain in the \\
 \@program\ at \@school
\end{center}
\end{singlespace}
\vfill
\begin{singlespace}
\begin{center}
by \\
\@author \@authordegrees\\
\end{center}
\end{singlespace}
\vfill
{\def\baselinestretch{1}\normalsize
\begin{center}
\@school\\
\ye@r
\end{center}}%
\vfill
\noindent
\begin{minipage}[b]{.5 \hsize}
\begin{flushleft}
{\bfseries Advised by:} \\
\@dvisor
\second@dvisor
\end{flushleft}
\end{minipage}%
\par
  \@thanks
\vfill\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  %\global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  %\global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  %\global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  %\global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \null
 % The Kauke arch is centered on the page background - JB
\AddToShipoutPicture*{\BackgroundPicture}
\let\footnoterule\relax
{\def\\{\noexpand\\}
\global\gdef\@titl@{{\@title}}}%
{
\vspace*{50\p@}
\vfill
\begin{singlespace}
\begin{center}
{\scshape\Large\@titl@}
\end{center}
\end{singlespace}}%
\vfill
\begin{center}
{\scshape
  \th@sistype}
\end{center}  
\vfill
\begin{singlespace}
\begin{center}
Presented in Partial Fulfillment of the Requirements for \\
the Degree \d@greetoobtain in the \\
 \@program\ at \@school
\end{center}
\end{singlespace}
\vfill
\begin{singlespace}
\begin{center}
by \\
\@author \@authordegrees\\
\end{center}
\end{singlespace}
\vfill
{\def\baselinestretch{1}\normalsize
\begin{center}
\@school\\
\ye@r
\end{center}}%
\vfill
\noindent
\begin{minipage}[b]{.5 \hsize}
\begin{flushleft}
{\bfseries Advised by:} \\
\@dvisor
\second@dvisor
\end{flushleft}
\end{minipage}%
\vfill}
\fi

% bug causing wrong page numbering in table of contents fixed [1997/12/04]   
% (reported by Karen Gibbs) - JH
\newcommand{\dedication}[1]{%
  \cleardoublepage
  \chapter*{}
  \addcontentsline{toc}{chapter}{\dedname}%
  \thispagestyle{plain}%
  \vspace*{\fill}
  \begin{center}
    #1
  \end{center}
  \vfill
  \newpage
  }

% Abstract - JH

\newenvironment{abstract}{%
  \if@bstractonly
  \cleardoublepage  
  \setcounter{page}{1}%
  \pagenumbering{arabic}%
  \pagestyle{plain}  
  \chapter*{\@title}%
  \begin{singlespace}
  \begin{center}
    by\\
    \@author\ \d@greetoobtain\\
    The College of Wooster, \ye@r\\
    \@dvisor
  \end{center}
  \end{singlespace}
  \vspace{\baselineskip}
  \else  
  \chapter*{\abstractname}%
  \addcontentsline{toc}{chapter}{\abstractname}%
  \fi  
  }{%
  \global\let\@end@bstract\relax
  \if@bstractonly
  \global\let\@end@bstract\enddocument
  \def\@currenvir{document}% nasty trick!
  \endgroup\fi\@end@bstract}

% Acknowlwdgements - JH

\newenvironment{acknowl}{%
\chapter*{\ackname}%
\addcontentsline{toc}{chapter}{\ackname}%
}
      {}

% Vita - JH

\newenvironment{vita}{%
\chapter*{\vitaname}%
\addcontentsline{toc}{chapter}{\vitaname}%
\begingroup\def\baselinestretch{1}%
\normalsize}%
        {\endgroup}

\newenvironment{datelist}{%
\begin{list}{}{%
\setlength\topsep\baselineskip
\setlength\partopsep{0pt}%
\setlength\itemsep\baselineskip
\setlength\rightmargin{0pt}%
\setlength\labelwidth{.5 \hsize}%
            \addtolength\labelwidth{-\labelsep}%
            \setlength\leftmargin{\hsize}%
\addtolength\leftmargin{-\labelwidth}%
\renewcommand\makelabel[1]{\noindent ##1 \dotfill~}}%
}{\end{list}}

% \dateitem provided for compatibility with the preceding versions. Its use
% is deprecated. Use \begin{datelist} \item[1997] blah blah blah .... instead. - JH

\newcommand{\dateitem}[2]{\noindent #1 \dotfill \parbox[t]{.5 \hsize}{#2}%
       \vskip\baselineskip}  
  
\newenvironment{publist}{%
        \vskip .2 \vsize
        \penalty -1000%
        \vskip -.2 \vsize
        \vspace{10 pt}%
\begin{center}
\pubname\end{center}%
\vskip\baselineskip}%
        {}

\newcommand{\pubitem}[1]{\noindent #1 \vskip\baselineskip}

\newenvironment{fieldsstudy}{%
        \vskip .3 \vsize
        \penalty -1000%
        \vskip -.3 \vsize
        \vspace{10 pt}%
\begin{center}
\fosname\end{center}%
\vskip\baselineskip}%
        {}

\newcommand{\majorfield}[1]{\noindent \majorfieldname: #1 \vskip\baselineskip}
\newcommand{\minorfield}[1]{\noindent \minorfieldname: #1 \vskip\baselineskip}
\newcommand{\specialization}[1]{\noindent \specializationname: #1
  \vskip\baselineskip}
\newcommand{\onestudy}[2]{\noindent\studinname #1: #2}


\newenvironment{studieslist}{%
        \gdef\studn@me{\studinname:\let\studn@me\relax}%
        \noindent\begin{tabular}{@{\protect\studn@me }l l l}}{\end{tabular}}

\newcommand{\studyitem}[2]{\global\let\studn@me\relax & #1 & #2 \\}

\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thechapter {\@arabic\c@chapter}
\renewcommand \thesection {\thechapter.\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\@chapapp{\chaptername}
\newcommand{\@chapapppage}{\relax}
\newif\if@numberedchapters
\newcommand\frontmatter{%
    \cleardoublepage
  \@numberedchaptersfalse
  \@mainmatterfalse
  \pagenumbering{roman}
  \pagestyle{plain}}
\newcommand\mainmatter{%
    \cleardoublepage
  \renewcommand{\@chapapppage}{\pagename}
  \@numberedchapterstrue
  \@mainmattertrue
  \pagenumbering{arabic}
  \pagestyle{headings}}
\newcommand\backmatter{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \@numberedchapterstrue
  \@mainmattertrue
  \appendix
  \pagestyle{headings}}
\newcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \thispagestyle{plain}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
  \null\vfil
  \secdef\@part\@spart}

\newcommand{\titlefont}{\fontshape{sc}}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >-2\relax
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    \markboth{}{}%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >-2\relax
       \huge \partname\nobreakspace\thepart% removed \bfseries - JB
       \par
       \vskip 20\p@
     \fi
     \Huge #2\par}% removed \bfseries - JB
    \@endpart}
\def\@spart#1{%
    {\centering
     \interlinepenalty \@M
     \normalfont
     \Huge #1\par}% removed \bfseries - JB
    \@endpart}
\def\@endpart{\vfil\newpage
              \if@twoside
               \if@openright
                \null
                \thispagestyle{empty}%
                \newpage
               \fi
              \fi
              \if@tempswa
                \twocolumn
              \fi}
\newcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
                    \thispagestyle{plain}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
                       \if@mainmatter
                         \refstepcounter{chapter}%
                         \if@numberedchapters % added - JB
                         {\let\Roman\roman
                          \edef\@tmpmsg{\noexpand\typeout{%
                          \noexpand\@chapapp\space\thechapter.}}%
                          \uppercase\expandafter{\@tmpmsg}}%
                          \ifnum\value{chapter}=1%
                         \edef\@tmptoc{\noexpand\addtocontents{toc}{%
                          \noexpand\@tocheadline{\@chapapp}{\@chapapppage}}}
                          \@tmptoc
                          \fi
                         % removed \typeout{\@chapapp\space\thechapter.} - JB
                         \addcontentsline{toc}{chapter}%
                                   {\protect\numberline{\thechapter}#1}%
                       \else
                         \addcontentsline{toc}{chapter}{#1}%
                       \fi
                    \else
                      \addcontentsline{toc}{chapter}{#1}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                     \addtocontents{lol}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \@makechapterhead{#2}%
                      %\@afterheading
                      \@afterindenttrue
                    \fi}
\def\@makechapterhead#1{% - JB
  \vspace*{50\p@}%
{\parindent \z@ \raggedright \normalfont
    \ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        {\small\textsl \@chapapp\space $\mathit{\thechapter}$} % removed \bfseries - JB
        \par\nobreak
        \vskip 10\p@ % 20 -> 10 - JB
      \fi
    \fi
    \interlinepenalty\@M
   \fontshape{sc}\fontsize{20}{22}\selectfont #1\par\nobreak % \Huge -> \scshape\LARGE removed \bfseries - JB
    \vskip 50\p@
  }}
\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                   \@afterindenttrue % - JB
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                   \@afterindenttrue% - JB
                 \fi}
\def\@makeschapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright
    \normalfont
    \interlinepenalty\@M
    \fontshape{sc}\fontsize{20}{22}\selectfont  #1\par\nobreak% \Huge -> LARGE removed \bfseries - JB
    \vskip 50\p@
  }}

% indent first paragraph of section by default - JB

\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \relax\fi
   \if@nobreak \everypar{}\else
     \addpenalty{\@secpenalty}\addvspace{\@tempskipa}\fi\@ifstar
     {\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

% removed all the \bfseries from the section heading --- who wants
% all that stuff bold?!? Added \scshape - JB 
  
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\scshape\Large}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\scshape\large}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\scshape\normalsize}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \cleardoublepage
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \cleardoublepage
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \gdef\@chapapp{\appendixname}%
  \gdef\thechapter{\@Alph\c@chapter}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\@addtoreset {equation}{chapter}
\renewcommand\theequation
  {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@equation}
\newcounter{figure}[chapter]
\renewcommand \thefigure
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand \thetable
     {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\setlength\abovecaptionskip{24pt minus 12pt}
\long\def\@makecaption#1#2{%
\small
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize {\def\baselinestretch{1}\normalsize
    \sbox\@tempboxa{#1: }%
\@setpar{\@@par
\@tempdima = \hsize
\advance\@tempdima-\wd\@tempboxa
\parshape \@ne 1\wd\@tempboxa \@tempdima}%
\par
\parindent 0pt\noindent
\hbox to \z@{\hss #1: }%
        #2\par}%
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{2}
\newcommand{\@tocheadline}[2]{%
\if@nobreak \relax \else \addvspace{.66\baselineskip}\fi
\hbox to \hsize{#1 \hfil #2}%
%\addvspace{.66\baselineskip}
}
\newcommand\tableofcontents{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\contentsname
        \@mkboth{%
           \contentsname}{\contentsname}}%
    {\def\baselinestretch{1}%
\normalsize
\@starttoc{toc}%
}%
    \if@restonecol\twocolumn\fi
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{-\@highpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
    \endgroup
  \fi}
\newcommand*\l@chapter[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
    \vskip 0.5em \@plus\p@
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode % removed \bfseries - JB
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}
\newcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand*\l@subsection{\@dottedtocline{1}{3.8em}{3.2em}}
\newcommand*\l@subsubsection{\@dottedtocline{1}{7.0em}{4.1em}}
\newcommand*\l@paragraph{\@dottedtocline{1}{10em}{5em}}
\newcommand*\l@subparagraph{\@dottedtocline{1}{12em}{6em}}
\newcommand\listoffigures{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
     \chapter*{\listfigurename}%
     \@mkboth{\listfigurename}% remove MakeUpperCase - JB
              {\listfigurename}% remove MakeUpperCase - JB
            \addcontentsline{toc}{chapter}{\listfigurename}
            \@tocheadline{Figure}{Page}
    {\def\baselinestretch{1}% single space - JB
    \normalsize
\@starttoc{lof}%
}%
    \if@restonecol\twocolumn\fi
    }
\newcommand*\l@figure{\@dottedtocline{0}{0.5em}{3.2em}}
\newcommand\listoftables{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \chapter*{\listtablename}%
      \@mkboth{%
          \listtablename}% remove MakeUpperCase - JB
         {\listtablename}% remove MakeUpperCase - JB
         \addcontentsline{toc}{chapter}{\listtablename}
         \@tocheadline{Table}{Page}%
         {\def\baselinestretch{1}% single space - JB
\normalsize
\@starttoc{lot}%
}
    \if@restonecol\twocolumn\fi
    }
    \let\l@table\l@figure
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make redefinitions to allow listings package to work with woosterthesis
% Thanks to Adam Anthony for finding the listings package.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@code
\RequirePackage{listings}
\renewcommand{\lstlistlistingname}{List of Listings}
\renewcommand{\lstlistoflistings}{% - JB
\if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
\chapter*{\lstlistlistingname}%
     \@mkboth{%
          \lstlistlistingname}% remove MakeUpperCase - JB
         {\lstlistlistingname}
         \addcontentsline{toc}{chapter}{\lstlistlistingname}%
\@tocheadline{Listing}{Page}%
{\def\baselinestretch{1}
\normalsize
\@starttoc{lol}%
}
\if@restonecol\twocolumn\fi}
\let\l@lstlisting\l@figure
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\chapter*{\bibname}%
      \@mkboth{\bibname}{\bibname}% removed \MakeUppercase -JB
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
% Use natbib.sty for the bibliography and make some modifications by cutting code from natbib and altering it- JB

\RequirePackage{natbib}
\bibpunct{[}{]}{;}{a}{,}{,}

\providecommand\bibsection{}
\@ifundefined{chapter}%
  {\renewcommand\bibsection{\section*{\refname
    \@mkboth{{\refname}}{{\refname}}}}}
  {\@ifundefined{NAT@sectionbib}%
    {\renewcommand\bibsection{\chapter*{\bibname
     \@mkboth{{\bibname}}{{\bibname}}}}}
    {\renewcommand\bibsection{\section*{\bibname
     \ifx\@mkboth\@gobbletwo\else\markright{{\bibname}}\fi}}}}
\@ifclassloaded{amsart}%
  {\renewcommand\bibsection{\section*{\refname}}}{}
\@ifclassloaded{amsbook}%
  {\renewcommand\bibsection{\chapter*{\bibname}}}{}
  \@ifclassloaded{woosterthesis}%
  {\renewcommand\bibsection{\chapter*{\bibname\@mkboth{{\bibname}}{{\bibname}}}}}{}
\@ifundefined{bib@heading}{}{\let\bibsection\bib@heading}
%\renewcounter{NAT@ctr}
\renewenvironment{thebibliography}[1]{\setlength\baselineskip{1\@ptsize pt\@plus5\p@ \@minus3\p@}\setlength\bibsep{\baselinestretch\baselineskip}%%
 \bibsection\addcontentsline{toc}{chapter}{\bibname}%
 \parindent \z@\bibpreamble\bibfont\list
   {\@biblabel{\arabic{NAT@ctr}}}{\@bibsetup{#1}%
    \setcounter{NAT@ctr}{0}}%
    \ifNAT@openbib
      \renewcommand\newblock{\par}
    \else
      \renewcommand\newblock{\hskip .11em \@plus.33em \@minus.07em}%
    \fi
    \sloppy\clubpenalty4000\widowpenalty4000
    \sfcode`\.=1000\relax
    \let\citeN\cite \let\shortcite\cite
    \let\citeasnoun\cite
 }{\def\@noitemerr{%
  \PackageWarning{natbib}
     {Empty `thebibliography' environment}}%
  \endlist\vskip-\lastskip}
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\@makeschapterhead{\indexname}]%
                \@mkboth{\indexname}% removed \MakeUppercase -JB
                        {\indexname}% removed \MakeUppercase -JB
                \thispagestyle{plain}
                \setlength\baselineskip{1\@ptsize pt}% single space - JB
                \parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
% - JB
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\@addtoreset{footnote}{chapter}% reset footnotes on each page - JB
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\renewcommand{\footnotesize}{%
   \def\baselinestretch{1}%                 to make single spacing!
   \@setfontsize\footnotesize\@xpt\@xiipt
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 6\p@ \@plus2\p@ \@minus2\p@
               \parsep 3\p@ \@plus2\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}

\setlength\footnotesep{24pt}

%Figure command easier to remember than includegraphics. It has two arguments #1= file and %#2=scaling factor

\newcommand{\woopic}[2]{
  \includegraphics[scale=#2]{#1}
}

\newcommand{\thesistype}[1]{\def\th@sistype{#1}}
\let\th@sistype\relax
\newcommand{\advname}{Advisor}
\newcommand{\dedname}{Dedication}
\newcommand{\chaptername}{CHAPTER}
\newcommand\appendixname{APPENDIX}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\renewcommand{\bibname}{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\abstractname{Abstract}
\newcommand{\pagename}{PAGE}
\newcommand{\ackname}{Acknowledgments}
\newcommand{\vitaname}{Vita}
\newcommand{\pubname}{Publications}
\newcommand{\fosname}{Fields of Study}
\newcommand{\majorfieldname}{Major field}
\newcommand{\minorfieldname}{Minor field}
\newcommand{\specializationname}{Specialization}
\newcommand{\studinname}{Studies in}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{headings}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi

\if@bstractonly % empty everything that may come before abstract
\let\maketitle\relax
\let\disscopyright\relax
\renewcommand{\dedication}[1]{}
\fi
\RequirePackage{float}
\RequirePackage[labelfont={bf,normalsize},font={small}, justification=raggedright]{styles/caption}
\RequirePackage{styles/subfig}
\captionsetup[subfloat]{listofindent=4em}
\setcounter{lofdepth}{2}
% Load hyperref.sty to create a linked document. Warn users that packages called after this
% could mess up hyperlinks.
\if@xetex
	\if@blacklinks
		\RequirePackage[dvipdfm,%
		pdfusetitle=true,%
		pdfpagemode=UseOutlines,%
		bookmarks,%
		bookmarksopen=true,%
		pdfstartview=FitV,%
		colorlinks,%
		linkcolor=black,%
		citecolor=black,%
		pagebackref=true,%
		plainpages=false,%
		linktocpage=true,%
		pdfpagelabels=true,%
		hyperindex=false,%
		pdfpagetransition=Glitter,%
		breaklinks=true,%
		pagecolor=black,%
		urlcolor=black,%
		pdfstartpage=1]
		{hyperref}
	\else
		\RequirePackage[dvipdfm,%
		pdfusetitle=true,%
		pdfpagemode=UseOutlines,%
		bookmarks,%
		bookmarksopen=true,%
		pdfstartview=FitV,%
		colorlinks,%
		linkcolor=refcolor,%
		citecolor=citecolor,%
		pagebackref=true,%
		plainpages=false,%
		linktocpage=true,%
		pdfpagelabels=true,%
		hyperindex=false,%
		pdfpagetransition=Glitter,%
		breaklinks=true,%
		pagecolor=black,%
		urlcolor=urlcolor,%
		pdfstartpage=1]
		{hyperref}
		\RequirePackage[xetex]{color}
		\definecolor{refcolor}{cmyk}{1,0.98,0,0}    % Color for the reference links
		\definecolor{urlcolor}{cmyk}{0.8,0.32,0.98,0.2}    % Color for the url links
		\definecolor{citecolor}{cmyk}{0.5,1,0,0}    % Color for the citation links
	\fi		
\else			
	\ifpdf
		\if@blacklinks			
			\RequirePackage[pdftex,%
			pdfusetitle=true,%
			pdfpagemode=UseOutlines,%
			bookmarks,%
			bookmarksopen=true,%
			pdfstartview=FitV,%
			colorlinks,%
			linkcolor=black,%
			citecolor=black,%
			pagebackref=true,%
			plainpages=false,%
			linktocpage=true,%			
			pdfpagelabels=true,%
			hyperindex=true,%
			pdfpagetransition=Glitter,%
			breaklinks=true,%
			pagecolor=black,%
			urlcolor=black,%
			pdfstartpage=1]	
			{hyperref}
		\else	
			\RequirePackage[pdftex,%
			pdfusetitle=true,%
			pdfpagemode=UseOutlines,%
			bookmarks,%
			bookmarksopen=true,%
			pdfstartview=FitV,%
			colorlinks,%
			linkcolor=refcolor,%
			citecolor=citecolor,%
			pagebackref=true,%
			plainpages=false,%
			linktocpage=true,%
			pdfpagelabels=true,%
			hyperindex=true,%
			pdfpagetransition=Glitter,%
			breaklinks=true,%
			pagecolor=black,%			
			urlcolor=urlcolor,%
			pdfstartpage=1]
			{hyperref}
			\RequirePackage[pdftex]{color}
			\definecolor{refcolor}{cmyk}{1,0.98,0,0}    % Color for the reference links
			\definecolor{urlcolor}{cmyk}{0.8,0.32,0.98,0.2}    % Color for the url links
			\definecolor{citecolor}{cmyk}{0.5,1,0,0}    % Color for the citation links	
		\fi
	\fi	
\fi
\doublespace
	\if@xetex
		\DeclareGraphicsExtensions{.pdf, .jpg, .tif}
	\else	
		\ifpdf
			\DeclareGraphicsExtensions{.pdf, .jpg, .tif}
		\else
			\DeclareGraphicsExtensions{.eps, .jpg}
		\fi
	\fi
\endinput	
%%
%% End of file `woosterthesis.cls'.
